HttpRequest::setPutData
HttpRequest::setQueryData
HttpRequest
PHP Manual

# HttpRequest::setPutFile

(PECL pecl_http >= 0.10.0)

HttpRequest::setPutFile — Set put file

### Description

public bool HttpRequest::setPutFile ([ string `$file` = "" ] )

Set file to put. Affects only PUT requests.

### Parameters

`file`

  the path to the file to send; if empty or omitted the put file will be unset

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::setPutData
HttpRequest::setQueryData
HttpRequest
PHP Manual